For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Get Order By ID

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/orders/:orderId
GET
/api/v2/orders/:orderId
$curl https://api-gateway-stg.transak.com/api/v2/orders/
1{
2 "data": {
3 "orderId": "f34df59c-3ba4-41f1-962c-8c7945bf83ff",
4 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
5 "status": "COMPLETED",
6 "isBuyOrSell": "BUY",
7 "fiatCurrency": "EUR",
8 "cryptoCurrency": "ETH",
9 "paymentMethod": "sepa_bank_transfer",
10 "network": "ethereum",
11 "networkId": "",
12 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
13 "quoteId": "77f9e792-e806-4868-93df-5d688789d783",
14 "fiatAmount": 18,
15 "fiatAmountInUsd": 20.5,
16 "amountPaid": 18,
17 "cryptoAmount": 0.01134213,
18 "conversionPrice": 0.0006820282621767891,
19 "totalFeeInFiat": 1.37,
20 "paymentDetails": [
21 {
22 "fiatCurrency": "",
23 "paymentMethod": "",
24 "name": "Bank Transfer Details",
25 "fields": [
26 {
27 "name": "Account Type",
28 "value": "Personal"
29 },
30 {
31 "name": "Amount",
32 "value": "18 EUR"
33 },
34 {
35 "name": "First Name (Beneficiary)",
36 "value": "shashi"
37 },
38 {
39 "name": "Last Name (Beneficiary)",
40 "value": "shekhar"
41 },
42 {
43 "name": "IBAN",
44 "value": "GB40SEOU19870010352376"
45 },
46 {
47 "name": "Bank Name",
48 "value": "Simulator Bank"
49 },
50 {
51 "name": "Bank Country",
52 "value": "Malta"
53 },
54 {
55 "name": "Bank Address",
56 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
57 }
58 ]
59 }
60 ],
61 "txHash": "DUMMY_TX_ID",
62 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
63 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
64 }
65}
The **Get Order By ID** is an **authenticated API** that allows partners to **fetch details of a specific order** using its unique identifier. This API provides **detailed transaction information**, including order status, payment details, and wallet address. This API helps **track a particular order’s status** and ensures users can **monitor their transactions in real-time**.
Was this page helpful?
Previous

Get Orders

Next

Cancel Order

Built with

The Get Order By ID is an authenticated API that allows partners to fetch details of a specific order using its unique identifier. This API provides detailed transaction information, including order status, payment details, and wallet address.

This API helps track a particular order’s status and ensures users can monitor their transactions in real-time.

Path parameters

orderIdstringRequired

orderId received from the API - api/v2/orders

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error